CREATE TABLE fai_sam_base_sequence_def_tl (
    BASE_SEQUENCE_DEF_ID     NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    NAME                     VARCHAR2(2000)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BASE_SEQUENCE_DEF_ID     NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    NAME                     VARCHAR2(2000)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fai_sam_base_sequence_def_tl PRIMARY KEY (BASE_SEQUENCE_DEF_ID, LANGUAGE, BASE_SEQUENCE_DEF_ID, LANGUAGE)
);
